% ***************************************************************
% author:   Wei Hu                                             **
% date:     04/12/2013                                         **
% modified: 01/13/2015                                         **
% purpose:  depth map denoising using                          **
%           Nonlocal Graph-based Transform (NLGBT)             **
% ***************************************************************

sigma_list = [10,15,20,25,30];  % noise variance
im_in = double(imread('images/cones.png'));  % the input original image

for j = 1:length(sigma_list)

    nSig = sigma_list(j);
    im_noisy = im_in + randn(size(im_in)) * nSig; % generate the noisy image
    [im_out,psnr]=NLGBT(im_noisy,im_in,nSig); % NLGBT denoising 
    imshow(uint8(im_out)); 
    
end